Logo of 52°North

WSS Installation

This section describes how to obtain an install the WSS service, version 1.2.x.

System requirements

The WSS service is delivered as a web archive file ('war') to be easily deployed in a Servlet container.

  • Apache Tomcat 4.1, 5.0, 5.5 (recommended and tested: 4.1.31 and 5.5.17)
  • Java Development Kit (JDK) 1.4.x, 1.5, 1.6 (recommended and tested: 1.4.2 and 1.5)

Installation

  • Download the latest 1.2 version of the WSS application

    There are many ways to deploy a web application that comes as a war file. The recommended way is:

  • Unzip the war file into an arbitrary directory on your host, afterwards called WSS_INSTALL_DIR.
  • Stop Tomcat
  • Create a context element file (go here for Tomcat 4.1 and here for Tomcat 5.5 documentation on contexts) for the unpacked web application and copy it to TOMCAT_4.1_HOME/webapps or TOMCAT_5.5_HOME/conf/Catalina/HOST/, respectively
  • Copy the following files of the unpacked web application's WEB-INF/lib/ directory into TOMCAT_HOME/common/endorsed/:
    • xercesImpl-2.8.1.jar (version may differ)
    • xalan-2.7.0.jar
    • xml-apis-1.3.04.jar
  • Configure the WSS application as described here or use the Quick Start Guide
  • Start Tomcat